# Page Not Found

The URL `developer-resources/rest-api/commerce-api/requests-messages/create-request-message` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [Create Request Message](https://docs.platform.softwareone.com/developer-resources/rest-api/commerce-api/requests/requests-messages/create-request-message.md)
- [Get Request Message](https://docs.platform.softwareone.com/developer-resources/rest-api/commerce-api/requests/requests-messages/get-request-message.md)
- [Create Request](https://docs.platform.softwareone.com/developer-resources/rest-api/commerce-api/requests/create-request.md)
- [List Request Messages](https://docs.platform.softwareone.com/developer-resources/rest-api/commerce-api/requests/requests-messages/list-request-messages.md)
- [Requests Messages](https://docs.platform.softwareone.com/developer-resources/rest-api/commerce-api/requests/requests-messages.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/commerce-api/requests/requests-messages/create-request-message.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://docs.platform.softwareone.com/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://docs.platform.softwareone.com/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/developer-resources/rest-api/commerce-api/requests/requests-messages/create-request-message.md`).

You may also use `Accept: text/markdown` header for content negotiation.
